JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
AnalyticsDestination::AnalyticsEvent Struct Reference
juce_analytics » destinations

Contains information about an event to be logged. More...

`#include <juce_AnalyticsDestination.h>`

## Public Attributes
String | name
| The name of the event.
int | eventType
| An optional integer representing the type of the event.
uint32 | timestamp
| The timestamp of the event.
StringPairArray | parameters
| The parameters of the event.
String | userID
| The user ID associated with the event.
StringPairArray | userProperties
| Properties associated with the user.

## Detailed Description

Contains information about an event to be logged.

## Member Data Documentation

## ◆ name

String AnalyticsDestination::AnalyticsEvent::name

The name of the event.

## ◆ eventType

int AnalyticsDestination::AnalyticsEvent::eventType

An optional integer representing the type of the event.

You can use this to indicate if the event was a screenview, session start, exception, etc.

## ◆ timestamp

uint32 AnalyticsDestination::AnalyticsEvent::timestamp

The timestamp of the event.

Timestamps are automatically applied by an Analytics object and are derived from Time::getMillisecondCounter(). As such these timestamps do not represent absolute times, but relative timings of events for each user in each session will be accurate.

## ◆ parameters

StringPairArray AnalyticsDestination::AnalyticsEvent::parameters

The parameters of the event.

## ◆ userID

String AnalyticsDestination::AnalyticsEvent::userID

The user ID associated with the event.

## ◆ userProperties

StringPairArray AnalyticsDestination::AnalyticsEvent::userProperties

Properties associated with the user.

The documentation for this struct was generated from the following file:

- juce_AnalyticsDestination.h